package jp.agentec.abook.abv.ui.viewer.view;

import java.util.ArrayList;
import java.util.List;

import android.content.Context;
import android.widget.ImageView;

public class ActionImageView extends ImageView {

	private List<String> fileNames;   // 差し替えイメージファイル
	private long tid;                 // TargetID
	
	public ActionImageView(Context context) {
		super(context);
		fileNames = new ArrayList<>();
//		imgMatrix = new Matrix();
	}
	public void setFileNames(List<String> fileNames) {
		this.fileNames = fileNames;
	}
	public String getFileName(int index) {
		return fileNames.get(index);
	}
	public void setID(long id) {
		this.tid = id;
	}
	public long getID() {
		return tid;
	}
}
